Skip to Content
veriom

Update answer

PUT
/v1/workspaces/{workspace_id}/questionnaires/{questionnaire_id}/questions/{question_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
questionnaire_id*Questionnaire Id
Formatuuid
question_id*Question Id
Formatuuid

Request Body

application/json
  1. body
answer*Answer
Length1 <= length <= 12000
approve?Approve
Defaultfalse
citations?array<>
Itemsitems <= 10
expected_version*Expected Version
Range1 <= value
review_notes?Review Notes
Lengthlength <= 4000
Default""
reviewer_attestation?Reviewer Attestation
Defaultfalse

Response Body

Successful Response

application/json
  1. response
questionnaire*
questions*array<>
Example Request
curl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/questionnaires/497f6eca-6276-4993-bfeb-53cbbbba6f08/questions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "answer": "string",  "expected_version": 1}'
Example Response
{  "questionnaire": {    "approved_count": 0,    "created_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "question_count": 0,    "title": "string",    "updated_at": "2019-08-24T14:15:22Z",    "version": 0,    "warnings": [      "string"    ]  },  "questions": [    {      "answer": "string",      "answer_basis": "unsupported",      "approved_at": "2019-08-24T14:15:22Z",      "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d",      "citations": [        {          "content_sha256": "string",          "evidence_ids": [            "973ab5a6-b373-447d-ab9d-bdb660b35afc"          ],          "observed_at": "2019-08-24T14:15:22Z",          "quote": "string",          "report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971",          "report_revision": 0,          "source_key": "string",          "stale": true,          "status": "string",          "title": "string",          "warnings": [            "string"          ]        }      ],      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "position": 0,      "question": "string",      "reference": "string",      "review_notes": "string",      "status": "unanswered",      "version": 0,      "warnings": [        "string"      ]    }  ]}